diff --git a/books/bookvol5.pamphlet b/books/bookvol5.pamphlet
index 21fa208..4ffe217 100644
--- a/books/bookvol5.pamphlet
+++ b/books/bookvol5.pamphlet
@@ -26416,6 +26416,60 @@ environment to \verb|$HistList| and \verb|$HistRecord|.
   '|done|))
 
 \end{chunk} 
+
+\defun{showHistory}{showHistory}
+\calls{showHistory}{sayKeyedMsg}
+\calls{showHistory}{selectOptionLC}
+\calls{showHistory}{sayMSG}
+\calls{showHistory}{concat}
+\calls{showHistory}{bright}
+\calls{showHistory}{showInOut}
+\calls{showHistory}{setIOindex}
+\calls{showHistory}{showInput}
+\usesdollar{showHistory}{printTimeSum}
+\usesdollar{showHistory}{evalTimePrint}
+\begin{chunk}{defun showHistory}
+(defun |showHistory| (arg)
+ (let (|$printTimeSum| |$evalTimePrint| maxi mini arg2 arg1
+            nset n showInputOrBoth)
+  (declare (special |$printTimeSum| |$evalTimePrint| |$HiFiAccess|))
+  (setq |$evalTimePrint| 0)
+  (setq |$printTimeSum| 0)
+  (cond
+    ((null |$HiFiAccess|) (|sayKeyedMsg| 'S2IH0026 (list '|show|)))
+    (t
+      (setq showInputOrBoth '|input|)
+      (setq n 20)
+      (when arg
+        (setq arg1 (car arg))
+        (when (integerp arg1)
+          (setq n arg1)
+          (setq nset t)
+          (cond
+            ((ifcdr arg) (setq arg1 (cadr arg)))
+            (t (setq arg1 nil))))
+        (when arg1
+          (setq arg2 (|selectOptionLC| arg1 '(|input| |both|) nil))
+          (cond
+            (arg2
+              (cond
+                ((and (eq (setq showInputOrBoth arg2) '|both|)
+                      (null nset))
+                  (setq n 5))))
+            (t
+              (|sayMSG|
+               (|concat| "  " (|bright| arg1)  "is an invalid argument."))))))
+      (cond ((not (< n |$IOindex|)) (setq n (- |$IOindex| 1))))
+      (setq mini (- |$IOindex| n))
+      (setq maxi (- |$IOindex| 1))
+      (cond
+        ((eq |showInputOrBoth| '|both|)
+          (unwind-protect
+            (|showInOut| mini maxi)
+            (|setIOindex| (+ maxi 1))))
+        (t (|showInput| mini maxi)))))))
+\end{chunk}
+
 \defun{setHistoryCore}{setHistoryCore}
 We case on the inCore argument value
 \begin{list}{}
@@ -60023,6 +60077,7 @@ digits in TechExplorer. Since Saturn is gone we can remove it.
 \getchunk{defun shortenForPrinting}
 \getchunk{defun show}
 \getchunk{defun showdatabase}
+\getchunk{defun showHistory}
 \getchunk{defun showInOut}
 \getchunk{defun showInput}
 \getchunk{defun showSpad2Cmd}
diff --git a/books/bookvolbib.pamphlet b/books/bookvolbib.pamphlet
index edb7152..0d6f409 100644
--- a/books/bookvolbib.pamphlet
+++ b/books/bookvolbib.pamphlet
@@ -2244,12 +2244,12 @@ Kelsey, Tom; Martin, Ursula; Owre, Sam
 \begin{chunk}{axiom.bib}
 @article{Bres93,
   author = "Bressoud, David",
-  title = "Review of ``The problems of mathematics'',
+  title = "Review of The problems of mathematics",
   journal = "Math. Intell.",
   volume = "15",
   number = "4",
   year = "1993",
-  pages 71-73"
+  pages = "71-73"
 }
 
 \end{chunk}
@@ -2635,13 +2635,39 @@ FME'99, Toulouse, France, Sept 20-24, 1999, pp 1758-1777
 \end{chunk}
 
 \index{Lamport, Leslie}
-\begin{chunk}{ignore}
-\bibitem[Lamport 02]{Lamp02} Lamport, Leslie
+\begin{chunk}{axiom.bib}
+@book{Lamp02,
+  author = "Lamport, Leslie",
   title = "Specifying Systems",
+  year = "2002",
   url = "http://research.microsoft.com/en-us/um/people/lamport/tla/book-02-08-08.pdf",
   publisher = "Addison-Wesley",
   isbn = "0-321-14306-X",
   paper = "Lamp02.pdf",
+}
+
+\end{chunk}
+
+\index{Lamport, Leslie}
+\begin{chunk}{axiom.bib}
+@misc{Lamp13,
+  author = "Lamport, Leslie",
+  title = "Errata to Specifying Systems",
+  year = "2013",
+  url = "http://research.microsoft.com/en-us/um/people/lamport/tla/errata-1.pdf",
+  publisher = "Microsoft",
+  paper = "Lamp13.pdf",
+  abstract = "
+    These are all the errors and omissions to the first printing (July
+    2002) of the book {\sl Specifying Systems} reported as of 29 October
+    2013.  Positions in the book are indicated by page and line number,
+    where the top line of a page is number 1 and the bottom line is number
+    $-1$. A running head and a page number are not considered to be lines,
+    but all other lines are. Please report any additional errors to the
+    author, whose email address is posted on {\tt http://lamport.org}. The
+    first person to report an error will be acknowledged in any revised
+    edition."
+}
 
 \end{chunk}
 
@@ -3242,6 +3268,7 @@ Theoretical Computer Science V157 pp3-33 (1966)
     of the parameters entering those special functions, and can be
     generalized to equations of higher order."
 
+
 \end{chunk}
 
 \index{Bronstein, Manuel}
@@ -6365,6 +6392,27 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Lafon, J.C.}
+\begin{chunk}{axiom.bib}
+@book{Lafo82,
+  author = "Lafon, J.C.",
+  title = "Summation in Finite Terms",
+  year = "1982",
+  publisher = "Springer-Verlag",
+  isbn = "3-211-81776-X", 
+  pages = "71--77",
+  keywords = "axiomref,survey",
+  abstract = "
+    A survey on algorithms for summation in finite terms is given. After a
+    precise definition of the problem the cases of polynomial and rational
+    summands are treated. The main concern of this paper is a description
+    of Gosper's algorithm, which is applicable for a wide class of
+    summands.  Karr's theory of extension difference fields and some
+    heuristic techniques are touched on briefly."
+}
+
+\end{chunk}  
+
 \index{Abramov, S.A.}
 \begin{chunk}{axiom.bib}
 @article{Abra85,
@@ -6895,12 +6943,12 @@ rational right-hand sides etc."
 
 \end{chunk}
 
-\index{Petkov\overline{s}ek, Marko}
+\index{Petkov\v{s}ek, Marko}
 \index{Wilf, Herbert S.}
 \index{Zeilberger, Doran}
 \begin{chunk}{axiom.bib}
 @book{Petk97,
-  author = "Petkov\overline{s}ek, Marko and Wilf, Herbert S. and 
+  author = "Petkov\v{s}ek, Marko and Wilf, Herbert S. and 
             Zeilberger, Doran",
   title = "A=B",
   publisher = "A.K. Peters, Ltd",
@@ -6910,6 +6958,20 @@ rational right-hand sides etc."
 
 \end{chunk}
 
+\index{Temme, N.M.}
+\begin{chunk}{axiom.bib}
+@misc{Temm14,
+  author = "Temme, N.M.",
+  title = "Bernoulli Polynomials Old and New",
+  paper = "Temm14.pdf",
+  abstract = "
+    We consider two problems on generalized Bernoulli polynomials
+    $B_n^u(z)$.  One is connected with defining functions instead of
+    polynomials by making the degree $n$ of the polynomial a complex
+    variable. In the second problem we are concerned with the asymptotic
+    behaviour of $B_n^u(z)$ when the degree $n$ tends to infinity."
+}
+
 \section{Differential Forms} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
 \index{Cartan, Henri}
@@ -6931,14 +6993,14 @@ rational right-hand sides etc."
 \index{Flanders, Harley}
 \begin{chunk}{axiom.bib}
  @book{Flan03,
-  author = {Flanders, Harley and Mathematics},
-  title = {Differential Forms with Applications to the Physical Sciences},
+  author = "Flanders, Harley and Mathematics",
+  title = "Differential Forms with Applications to the Physical Sciences",
   year = "2003",
-  location = {Mineola, N.Y},
-  isbn = {9780486661698}
-  pagetotal = {240},
-  publisher = {Dover Pubn Inc},
-  date = {2003-03-28}
+  location = "Mineola, N.Y",
+  isbn = "9780486661698",
+  pagetotal = "240",
+  publisher = "Dover Pubn Inc",
+  date = "2003-03-28"
 }
 
 \end{chunk}
@@ -6971,10 +7033,10 @@ rational right-hand sides etc."
   pagetotal = {700},
   publisher = {Springer},
   date = {2013-10-04},
-  abstract = {
+  abstract = 
     "This book is a major treatise in mathematics and is essential in the
-    working library of the modern analyst." (Bulletin of the London
-    Mathematical Society)}
+    working library of the modern analyst. (Bulletin of the London
+    Mathematical Society)"
 }
 
 \end{chunk}
@@ -6984,16 +7046,16 @@ rational right-hand sides etc."
 \index{Ratiu, Tudor}
 \begin{chunk}{axiom.bib}
 @book{Abra93,
-  author = {Abraham, Ralph and Marsden, Jerrold E. and Ratiu, Tudor},
-  title = {Manifolds, Tensor Analysis, and Applications},
+  author = Abraham, Ralph and Marsden, Jerrold E. and Ratiu, Tudor",
+  title = "Manifolds, Tensor Analysis, and Applications",
   year = "1993",
-  location = {New York},
-  edition = {2nd Corrected ed. 1988. Corr. 2nd printing 1993},
-  isbn = {9780387967905},
-  pagetotal = {656},
-  publisher = {Springer},
-  date = {1993-08-26}
-  abstract = {
+  location = "New York",
+  edition = "2nd Corrected ed. 1988. Corr. 2nd printing 1993",
+  isbn = "9780387967905",
+  pagetotal = "656",
+  publisher = "Springer",
+  date = "1993-08-26",
+  abstract = "
     The purpose of this book is to provide core material in nonlinear
     analysis for mathematicians, physicists, engineers, and mathematical
     biologists. The main goal is to provide a working knowledge of
@@ -7001,7 +7063,7 @@ rational right-hand sides etc."
     applications to Hamiltonian mechanics, fluid mechanics,
     electromagnetism, plasma dynamics and control theory are given using
     both invariant and index notation. The prerequisites required are
-    solid undergraduate courses in linear algebra and advanced calculus.}
+    solid undergraduate courses in linear algebra and advanced calculus."
 }
 
 \end{chunk}
@@ -14283,13 +14345,24 @@ J. Res. Natl. Inst. Stand. Technol. (NIST) V105 No4 July-Aug 2000 pp589-590
 
 \end{chunk}
 
-\index{Millen, J. K.}
-\begin{chunk}{ignore}
-\bibitem[Millen 68]{Mil68} Millen, J. K.
-  title = "CHARYBDIS: A LISP program to display mathematical expressions on typewriter-like devices",
-Interactive Systems for Experimental and Applied Mathematics
-M. Klerer and J. Reinfelds, eds., Academic Press, New York 1968, pp79-90
-  paper = "Mil68.pdf",
+\index{Millen, Jonathan K.}
+\begin{chunk}{axiom.bib}
+\bibitem[Millen 68]{Mil68} Millen, Jonathan K.
+@article{Mill68,
+  author = "Millen, J. K.",
+  title = "CHARYBDIS: A LISP program to display mathematical expressions 
+           on typewriter-like devices",
+  year = "1968",
+  journal = "Interactive Systems for Experimental and Applied Mathematics",
+  publisher = "M. Klerer and J. Reinfelds, eds., Academic Press, New York",
+  pages = "79--90",
+  paper = "Mill68.pdf",
+  abstract = "
+    CHARYBDIS (from CHARacter-composed sYmBolic DISplay) is a LISP program
+    to display mathematical expressions on typewriter-like devices such as
+    line printers, teletypes, and scopes which display lines of characters,
+    as well as typewriters."
+}
 
 \end{chunk}
 
@@ -15570,6 +15643,8 @@ Math. Tables Aids Comput. 10 91--96. (1956)
 \end{chunk}
 
 \index{LaValle, Steven M.}
+\index{algorithm!cylindrical algebraic decomposition}
+\index{cylindrical algebraic decomposition}
 \begin{chunk}{axiom.bib}
 @book{LaVa06,
   author = "LaValle, Steven M.",
@@ -15577,8 +15652,21 @@ Math. Tables Aids Comput. 10 91--96. (1956)
   year = "2006",
   publisher = "Cambridge University Press"
 }
-\index{algorithm!cylindrical algebraic decomposition}
-\index{cylindrical algebraic decomposition}
+
+\end{chunk}
+
+\index{Hales, Thomas C.}
+\begin{chunk}{axiom.bib}
+@misc{Hale13,
+  author = "Hales, Thomas C.",
+  title = "Mathematics in the Age of the Turing Machine",
+  year = "2013",
+  url = "http://arxiv.org/pdf/1302.2898v1",
+  paper = "Hale13.pdf",
+  abstract = "
+    This article gives a survey of mathematical proofs that rely on
+    computer calculations and formal proofs"
+}
 
 \end{chunk}
 
diff --git a/changelog b/changelog
index ae883b2..8ba5676 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,6 @@
+20141023 gxg src/axiom-website/patches.html 20141023.01.tpd.patch
+20141023 tpd books/bookvolbib fix bad reference
+20141023 tpd books/bookvol5 add showHistory
 20141020 gxg src/axiom-website/patches.html 20141020.01.gxg.patch
 20141020 gxg books/bookvol1 fix typo Gustavo Goertkin
 20141020 gxg readme add Gustavo Goertkin <gustavo.goertkin@gmail.com>
diff --git a/patch b/patch
index 3c69ef1..7b41ad5 100644
--- a/patch
+++ b/patch
@@ -1,3 +1,3 @@
-books/bookvol1 fix typo (Gustavo Goertkin)
+books/bookvol5 add showHistory
 
-Gustavo Goertkin found a typo and posted a patch.
+recover the oddly missing showHistory function
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index eb1d3b9..8090716 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4684,6 +4684,8 @@ books/bookvol10.3 add Pagani's functions to DERHAM<br/>
 books/bookvolbib add a section on Differential Forms<br/>
 <a href="patches/20141020.01.gxg.patch">20141020.01.gxg.patch</a>
 books/bookvol1 fix typo Gustavo Goertkin<br/>
+<a href="patches/20141023.01.tpd.patch">20141023.01.tpd.patch</a>
+books/bookvol5 add showHistory<br/>
  </body>
 </html>
 
